Categories:
  - Development
  - Guardian Project
  - Security
License: GPL-3.0-or-later
AuthorName: Guardian Project
AuthorEmail: support@guardianproject.info
AuthorWebSite: https://guardianproject.info
WebSite: https://guardianproject.info/code/gnupg
SourceCode: https://github.com/guardianproject/gnupg-for-android
IssueTracker: https://dev.guardianproject.info/projects/gpgandroid/issues

AutoName: GnuPrivacyGuard
Summary: GnuPG via gpgcli
Description: |-
    GnuPrivacyGuard extends the gpgcli command line tool to bring an integrated
    privacy engine to your Android. It gives you command line access to the entire
    GnuPG suite of encryption software. It also serves as the test bed for
    complete Android integration for all of GnuPG's crypto services, including
    OpenPGP, symmetric encryption, and more.

    GPG is GNU’s tool for end-to-end secure communication and encrypted data
    storage. This trusted protocol is the free software alternative to PGP. This
    app is built upon GnuPG 2.1, the new modularized version of GnuPG that now
    supports S/MIME.

    GPG aims to provide an integrated experience, so clicking on PGP files should
    "just work". You can also share files to GPG to encrypt them. GPG will also
    respond when you click on a PGP fingerprint URL (one that starts with
    openpgp4fpr:).

    Before using GPG, be sure to launch the app and let it finish its installation
    process. Once it has completed, then you're ready to use it. The easiest way
    to get started with GPG is to install https://f-droid.org/packages/jackpal.androidterm. GPG will
    automatically configure Android Terminal Emulator as long as you have the
    "Allow PATH extensions" settings enabled.

    Status: Unmaintained, use https://f-droid.org/packages/org.sufficientlysecure.keychain/

RepoType: git
Repo: https://github.com/guardianproject/gnupg-for-android

Builds:
  - versionName: 0.2.1
    versionCode: 3
    commit: 0.2.1
    submodules: true
    prebuild: rm -rf external/gnupg-for-java/
    build:
      - make NDK_BASE=$$NDK$$ -C external/ distclean clean-assets
      - make NDK_BASE=$$NDK$$ -C external/
    buildjni:
      - yes

  - versionName: 0.3.1
    versionCode: 5
    disable: bison 3.0 errors, should build with 2.5
    commit: 0.3.1
    submodules: true
    prebuild: sed -i 's@\./autogen@AUTOMAKE_SUFFIX=-1.11 ./autogen@g' external/Makefile
    build: make NDK_BASE=$$NDK$$ -C external/ distclean clean-assets all
    buildjni:
      - yes

  - versionName: 0.3.2
    versionCode: 3020
    disable: take care of binary scanner errors
    commit: 0.3.2
    submodules: true
    build: make NDK_BASE=$$NDK$$ -C external/ distclean clean-assets all
    buildjni:
      - yes

AllowedAPKSigningKeys: d71620711b04dfa13216116fbc8a9f3e3409846b16ff2bacf43e1c5ef5a3ed6b

ArchivePolicy: 0 versions
